Subject: Re: [SIGTRAN]Query regarding handling of ASP_ACTIVE_ACK message at ASP

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 4 Feb 2007 04:44:30 -0700

Magesh,

The RFC does not say what to do.  Here's what I do: when an RC is
always sent (by the ASP) in an ASP Active message,  and the receives
an ASP Active Ack with no RC, it is a protocol error and I send
ERR("Protocol Error"), inform management and fall back on T(ack) if an
ASP Active message is still pending.

If you ever send an ASP Active message with no RC, then you need to
consider it as a (possibly delayed) response to such a request rather
than the current request, in which case you should consider that the
SGP considers all AS configured for the ASP to be in the ASP Active
state and go about returning each AS to the state intended by the ASP
(i.e, if all AS are marked active or activating, consider then still
active, but if any AS is inactive or deactivating, send ASP Inactive
for them to return them to the inactive state, inform management and
possibly send ERR("Unexpected Message")).

The reason that I chose ERR("Protocol Error") in the first case
instead of ERR("Missing Parameter") is because ERR("Missing
Parameter") is for a missing mandatory parameter (and RC is not a
mandatory parameter in this message).  The error ERR("Protocol Error")
seems more appropriate to me.  Another possibility would be ERR("No
configured AS") I suppose, but that error appears to be reserved for
SGP to send.

To avoid the second situation, I always send RC in the ASP Active.

I hope that helps.

--brian

Magesh Shanmugam wrote:                        (Sun, 04 Feb 2007 14:10:30)
> 
>    Hi
> 
>    As  per  the  M3UA,  it is mentioned that when a ASP_ACTIVE message is
>    sent  with Routing Context, then the ASP_ACTIVE_ACK "MUST" contain the
>    RC parameter.
> 
>    My query here is, if RC parameter is not present in the ASP_ACTIVE_ACK
>    message, what kind of decision are we going to take?
> 
>    Are  we  going  to  send  an ERROR message with Error Code as "Missing
>    Parameter" and stop processing DATA messages or Send an ERROR message
> 
>    with  error  code  as  "Missing  Parameter",  but process all the Data
>    messages.
> 
> 
>    Thanks
> 
>    S Magesh

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran